<?php

require 'ImageTool.php';

// 创建图片资源
$baseResource  = ImageTool::createResourceFromFile('resource/base.png');
$maskResource1 = ImageTool::createResourceFromFile('resource/mask.png');
$maskResource2 = ImageTool::createResourceFromFile('resource/mask.jpg');
$maskResource3 = ImageTool::createResourceFromFile('resource/base.jpg');

ImageTool::radius($maskResource1, 40);
// 合并图片
ImageTool::merge($baseResource, $maskResource1, [
    'position' => [100, 100],
]);
// 合并图片
ImageTool::merge($baseResource, $maskResource2, [
    'position' => [400, 190],
]);
// 在图片上添加文字
ImageTool::text($baseResource, '文字');
// 在图片指定位置添加文字
ImageTool::text($baseResource, '文字', [
    'position' => [550, 230],
]);
// 在图片指定位置添加文字并设置文字大小
ImageTool::text($baseResource, '文字', [
    'size'     => 30,
    'position' => [200, 200],
]);
ImageTool::text($baseResource, '文字', [
    'size'     => 50,
    'position' => [220, 60],
]);
// 在图片指定位置添加图片
ImageTool::merge($baseResource, ImageTool::resize($maskResource3, 100, 100), [
    'position' => [120, 220],
]);
// 改变图片大小，强制裁剪
$baseResource = ImageTool::resize($baseResource, 500, 300, true);

// 保存
ImageTool::save($baseResource, time() . '.jpg');
